Name:          jamon-java-parent
Version:       2.4.0
Release:       1%{?dist}
Summary:       Jamon Java Parent
License:       MPLv1.1
URL:           http://www.jamon.org/
# svn checkout svn://svn.code.sf.net/p/jamon/code/releases/jamon-java-parent/jamon-java-parent-2.4.0
# tar cJf jamon-java-parent-2.4.0.tar.xz jamon-java-parent-2.4.0
Source0:       %{name}-%{version}.tar.xz
# jamon-java-parent package don't include the license file
# reported @ http://sourceforge.net/p/jamon/bugs/44/
Source1:       jamon-LICENSE
BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: mvn(org.jamon:jamon-parent)
BuildArch:     noarch

%description
Jamon base pom for Java projects.

%prep
%setup -q
# Require unavailable org.jamon:jamon-checkstyle:2.3
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
# Unwanted
%pom_remove_plugin :maven-source-plugin

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%changelog
* Thu Sep 26 2013 gil cattaneo <puntogil@libero.it> 2.4.0-1
- initial rpm
